Skip to main content
PATCH
Snooze a follow-up task

Authorizations

api_access_token
string
header
required

API access token for authentication. Obtain from your Voxys Connect profile settings.

Path Parameters

account_id
integer
required

The numeric ID of the account.

id
integer
required

The ID of the follow-up task.

Body

application/json
duration
string
required

Snooze duration. Accepts values like '1h', '1d', '1w', or an ISO 8601 datetime string.

Example:

"1d"

Response

Task snoozed.

id
integer
Example:

20

title
string
Example:

"Follow up with prospect"

description
string | null
Example:

"Call back after proposal review."

status
enum<string>
Available options:
pending,
completed,
snoozed
Example:

"pending"

priority
enum<string>
Available options:
low,
medium,
high
Example:

"medium"

due_at
string<date-time> | null
completed_at
string<date-time> | null
taskable_type
string
Example:

"Lead"

taskable_id
integer
Example:

42

assigned_to
object | null
created_at
string<date-time>
updated_at
string<date-time>